/*
 * Estado.java
 *
 * Created on 28 de Setembro de 2006, 15:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package classes;

import java.util.Collection;
import java.util.SortedSet;
import java.util.TreeSet;

/**
 *
 * @author vitor
 */
public class Estado implements Comparable<Estado> {
    private String nome;
    private SortedSet<Cidade> cidades = new TreeSet<Cidade>();
    
    /** Creates a new instance of Estado */
    public Estado(String nome) {
        this.nome = nome;
    }
    
    public String getNome() { 
        return nome;
    }
    
    public void setNome(String nome) {
        this.nome = nome;
    }
    
    public void addCidade(Cidade cidade) {
        cidades.add(cidade);
    }
    
    public Collection<Cidade> getCidades() {
        return cidades;
    }

    public String toString() {
        return nome;
    }

    public int compareTo(Estado o) {
        if ((o == null) || (nome == null)) return -1;
        return nome.compareTo(o.nome);
    }
}
